aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorlns <matzeton@googlemail.com>2018-08-10 11:30:39 +0200
committerlns <matzeton@googlemail.com>2018-08-10 11:30:39 +0200
commit91f0a81aee75a56a45176cc273034f7d0fc2dc86 (patch)
tree5b786514fb937c35a63b4c27bd30d163e7a5c87c
parent250270a9d005862f2eb4c1810dacc6c54d53a09f (diff)
run aclocal,autoconf,autoheader,automake only if autoreconf fails
Signed-off-by: lns <matzeton@googlemail.com>
-rwxr-xr-xautogen.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/autogen.sh b/autogen.sh
index ea1fd00..c290381 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,7 +3,9 @@
set -e
set -x
-aclocal
-autoheader
-autoconf
-automake --foreign --add-missing --force-missing --copy
+if ! autoreconf -fi; then
+ aclocal
+ autoheader
+ autoconf
+ automake --foreign --add-missing --force-missing --copy
+fi